API ReferenceapicommsPOST /v1/slack/commands/sms

POST /v1/slack/commands/sms

Service: comms · operationId: (none)

Required scopes

(no scope declared — review service config)

Responses

200 Command acknowledged

{
  "type": "object",
  "properties": {
    "response_type": {
      "type": "string",
      "enum": [
        "ephemeral",
        "in_channel"
      ]
    },
    "text": {
      "type": "string"
    }
  },
  "required": [
    "response_type",
    "text"
  ]
}

400 Invalid command or bad signature

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

401 Signature verification failed

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X POST https://comms.platform.loop.health/v1/slack/commands/sms \
  -H "Authorization: Bearer $ACCESS_TOKEN"